### Method

# Meta Window set_icon_geometry

#### Declaration [src]

    void
    meta_window_set_icon_geometry (
      MetaWindow* window,
      MtkRectangle* rect
    )

#### Description [src]

Sets or unsets the location of the icon corresponding to the window.

If set, the location should correspond to a dock, task bar or other user interface element displaying the icon, and is relative to the root window.

#### Parameters

`rect`

  Type: `MtkRectangle`

  Rectangle with the desired geometry or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.